<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="RedirectionPlugin.ascx.cs" Inherits="EPiServer.Labs.MobilePack.Core.RedirectionPlugin" %>
<%@ Register Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI" TagPrefix="EPiServerUI" %>    
<%@ Register TagPrefix="EPiServerScript" Namespace="EPiServer.ClientScript.WebControls" Assembly="EPiServer" %>
<%@ Register TagPrefix="EPiServer" Namespace="EPiServer.Web.WebControls" Assembly="EPiServer" %>   
   
<div class="epi-contentContainer epi-padding">
    <div class="epi-contentArea">
        <h1 class="EP-prefix">Edit Redirection Rules</h1>
        <p class="EP-systemInfo">Define rules that let you redirect visitors depending on their visitor group to give them a personalized experience.</p>
    </div>
    <div class="epi-buttonDefault">
        <EPiServerUI:ToolButton id="AddRowButton" OnClick="AddNewRow" runat="server" SkinID="Add" text="<%$ Resources: EPiServer, button.add %>" ToolTip="<%$ Resources: EPiServer, button.add %>" />
    </div>
    <asp:DataGrid ID="Grid" runat="server" 
        AutoGenerateColumns="False" 
        OnEditCommand="EditRow" 
        OnDeleteCommand="DeleteRow" 
        OnUpdateCommand="SaveRow" 
        OnCancelCommand="CancelEditing"
        UseAccessibleHeader="true" DataKeyField="Id" >
        <Columns>
            <asp:TemplateColumn HeaderText="Visitor Group">
                <ItemTemplate>
                    <%# Eval("VisitorGroup")%>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:DropDownList SkinID="Small" ID="VisitorGroupList" DataSource='<%# VGList %>' DataTextField="Name" DataValueField="Name" CssClass="EP-requiredField" runat="server"></asp:DropDownList>
                </EditItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Destination Page">
                <ItemTemplate>
                    <%# GetPageName((Guid)Eval("DestinationPage"))%>
                </ItemTemplate>
                <EditItemTemplate>
                    <EPiServer:InputPageReference runat="server" ID="DestPage" SkinID="Small" CssClass="EP-requiredField" />
                </EditItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Language specific">
                <ItemTemplate>
                    <%# GetLanguageIcon((string)Eval("LanguageId"))%>
                </ItemTemplate>
                <EditItemTemplate>
                    <EPiServerUI:LanguageDropDownList ID="LanguageSelection" LanguageSelection="AvailableOnCurrentPage" AutoSelectLanguage="false" runat="server" />
                </EditItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="<%$ Resources: EPiServer, button.edit %>" ItemStyle-HorizontalAlign="Center">
                <ItemTemplate>
                    <EPiServerUI:ToolButton CommandName="Edit" runat="server" SkinID="Edit" Enabled="<%# ButtonEnabled( Container.ItemIndex )%>" ToolTip="<%$ Resources: EPiServer, button.edit %>" />
                </ItemTemplate>
                <EditItemTemplate>
                    <EPiServerUI:ToolButton DisablePageLeaveCheck="true" CommandName="Update" CausesValidation="true" runat="server" SkinID="Save" ToolTip="<%$ Resources: EPiServer, button.save %>" /><EPiServerUI:ToolButton DisablePageLeaveCheck="true" CommandName="Cancel" CausesValidation="false" runat="server" SkinID="Cancel" ToolTip="<%$ Resources: EPiServer, button.cancel %>" />
                </EditItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="<%$ Resources: EPiServer, button.delete %>" ItemStyle-HorizontalAlign="Center">
                <ItemTemplate>
                    <EPiServerUI:ToolButton id="deleteTool" CommandName="Delete" runat="server" SkinID="Delete" EnableClientConfirm="true"  Enabled='<%# ButtonEnabled( Container.ItemIndex )%>' ToolTip="<%$ Resources: EPiServer, button.delete %>" />
                </ItemTemplate>
                <EditItemTemplate>
                </EditItemTemplate>
            </asp:TemplateColumn>
        </Columns>
    </asp:DataGrid>
</div>